HWND gblHWnd;

//Initialise le système de fontes
void InitFonte()		{
	logFCour.lfOrientation=0;
	logFCour.lfWeight=FW_NORMAL;
	logFCour.lfItalic=0;
	logFCour.lfUnderline=0;
	logFCour.lfStrikeOut=0;
}

void InitGraphLib()		{
#ifdef UTILISER_DIRECTX
	int i;
#endif

	hConsole=gblHWnd;
	//Pour pouvoir y écrire...
	hdcConsole=GetDC(hConsole);
	//Crée un contexte de périphérique compatible avec l'écran en cours...
	hdcImage=CreateCompatibleDC(hdcConsole);

/*	sprintf(str,"Valeur: %i %i",x,y);
	MessageBox(NULL,str,"",0);*/
	hdcImage=CreateCompatibleDC(GetDC(NULL));
	if (LARG%4==0)
		LARG_BUF=LARG;
	else
		LARG_BUF=LARG+(4-LARG%4);
	HAUT_BUF=HAUT;
	CreeDIB(hdcImage,LARG_BUF,HAUT_BUF,24,&hbm,(void**)&Bits);
//	HAUT_BUF++;
	ASSERT(Bits);
	InitTimer();
#ifdef UTILISER_DIRECTX
	i=DirectDrawCreate(NULL,&lpDD,NULL);
	if (i!=DD_OK)
		MessageBox(NULL,"Erreur","Initialisation de DirectDraw!",0);
#endif
	ZoneEcran(0,0,LARG,HAUT);
	//Ouvre une "fenêtre" graphique (pas Window!) pour y dessiner
	ZoneEcran(0,0,LARG,HAUT);
	InitFonte();
	CouleurFond(0);
	FondTexte(TRANSPARENT);
	CouleurTexte(RGB(192,192,192));
	EtatCurseur(1);
	SupportMasque(1);
	InitTimer();
}

